Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Interface IClipboardSupportFactory

    public interface IClipboardSupportFactory

Interface for objects that can create `IClipboardSupport`s for supporting clipboard copy/paste operations on EMF models.

This interface is intended to be implemented by plug-ins on the `clipboardSupport` extension point.

See Also:
  `IClipboardSupport`

Method Summary
`IClipboardSupport` `newClipboardSupport(org.eclipse.emf.ecore.EPackage ePackage)` Creates a new clipboard support utility instance.

Method Detail

### newClipboardSupport

    IClipboardSupport newClipboardSupport(org.eclipse.emf.ecore.EPackage ePackage)

  Creates a new clipboard support utility instance. This method may create a new instance or may return always the same reusable instance. Clipboard support utilities are not expected to retain any state that needs to be disposed.

  A single factory class can support any number of EMF metamodels. Hence the parameterization of the factory method by an `ePackage`.

  Parameters:
    `ePackage` - the `EPackage` (representing an EMF metamodel) for which a clipboard support utility is required.
  Returns:
    a new clipboard support utility

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.